<?php

/**
 * Created by PhpStorm.
 * User: root
 * Date: 22.07.18
 * Time: 21:17
 */
require_once('PointBaseFigure.php');
require_once('GetArea.php');

class Round extends PointBaseFigure implements GetArea
{
    protected $radius;

    public function __construct(array $points, float $radius)
    {
        parent::__construct($points);
        $this->radius = $radius;

    }

    public function getArea(): float
    {
        return M_PI * $this->radius ** 2;
    }

    public function roundLength(): float
    {
        return 2 * M_PI * $this->radius;
    }


}