<?php

/**
 * Created by PhpStorm.
 * User: root
 * Date: 22.07.18
 * Time: 17:38
 */
require_once('GeometryInstance.php');

abstract class SegmentFigure extends GeometryInstance
{
    protected $points;
    protected $segmentsLength;

    public function __construct(array $points)
    {
        $this->points = $points;
        $this->setSegmentsLength();
    }

    protected function setSegmentsLength(): void
    {
        for ($i = 0; $i < count($this->points) - 1; $i++) {
            $this->segmentsLength[] = sqrt(($this->points[$i + 1][0] - $this->points[$i][0]) ** 2 + ($this->points[$i + 1][1] - $this->points[$i][1]) ** 2);
        }
    }
}   